#!/bin/bash

set -eu

file_env() {
  local var="$1"
  local fileVar="${var}_FILE"
  local def="${2:-}"

  if [ "${!var:-}" ] && [ "${!fileVar:-}" ]; then
    echo >&2 "error: both $var and $fileVar are set (but are exclusive)"
    exit 1
  fi

  local val="$def"

  if [ "${!var:-}" ]; then
    val="${!var}"
  elif [ "${!fileVar:-}" ]; then
    val="$(< "${!fileVar}")"
  fi

  export "$var"="$val"
  unset "$fileVar"
}

file_env "POSTGRESQL_PASS"

if [ "$1" == "zammad-backup" ];
then
    bash -c "/usr/local/bin/backup.sh $@"
else
    # https://github.com/zammad/zammad-docker-compose/blob/master/containers/zammad/docker-entrypoint.sh
    bash -c "/docker-entrypoint.sh $@"
fi